org.apache.hadoop.security.proto

## Interface SecurityProtos.GetDelegationTokenResponseProtoOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    SecurityProtos.GetDelegationTokenResponseProto, SecurityProtos.GetDelegationTokenResponseProto.Builder
  Enclosing class:
    SecurityProtos

      public static interface SecurityProtos.GetDelegationTokenResponseProtoOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecurityProtos.TokenProto` | `getToken()` `optional .hadoop.common.TokenProto token = 1;`
    `SecurityProtos.TokenProtoOrBuilder` | `getTokenOrBuilder()` `optional .hadoop.common.TokenProto token = 1;`
    `boolean` | `hasToken()` `optional .hadoop.common.TokenProto token = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasToken

          boolean hasToken()

      `optional .hadoop.common.TokenProto token = 1;`

    - #### getToken

          SecurityProtos.TokenProto getToken()

      `optional .hadoop.common.TokenProto token = 1;`

    - #### getTokenOrBuilder

          SecurityProtos.TokenProtoOrBuilder getTokenOrBuilder()

      `optional .hadoop.common.TokenProto token = 1;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.